AutoCAD Inventor :: Accessing Features From A Part In An Assembly
Aug 22, 2012
I'm crating a macro wich would allow me to select multiple parts in an assembly and then calculate the length of each part. The parts are tubes wich are made of a sinlge sweep.
I started from the example truesweeplength, and built from there.
Now my problem is accessing the sweepfeature from the assembly.
In the part enviroment i use this:
Dim oDoc As PartDocument
Dim oDef As PartComponentDefinition
Dim osweepcount As Long
Set oDoc = ThisApplication.ActiveDocument
Set oDef = oDoc.ComponentDefinition
osweepcount = oDef.Features.SweepFeatures.Count
The sweepcount is simply to check how many sweep features are in the part.
This works fine in part level.Now from assembly level I first create an obecjtcollection from all the parts I selected
Set oOccurrences = ThisApplication.TransientObjects.CreateObjectCollection
Then I try to acces the first occurence
oDoc.SelectSet.Item(1)
But then I'm stuck. I cant find the way to acess the features of the selected part.
How do you save features added in an assembly to the part? For example, if I add a hole in an assembly, presently I cannot see it when I open the part. It seems like a very basic function, I'm not sure why it doesn't do it automatically.
How we can access the part parameters after hitting create iAssembly. do I need to make i parts first and then bring them to an assembly and make an iAssembly??
Is it possible to suppress an assembly feature in a drawing view?We make some components in an assembly oversized and then do a final machine step after welding or brazing. We show the completed assembly in the drawing but would like to see the assembly prior to machining in some views.If I suppress the machining features in the model it affects all views. Can we suppress the features in just one view?
it's possible to create a derived part using only some of the features of the base components i.e. I've got a funny shaped part with a bunch of holes in it, and I need another part with exactly the same shape but totally different holes (location and size)I know you can do this with the different solids in the part (only use some of the solids) but I haven't been able to figure it out with features, if it's possible at all.
I could probably create one base part (just the shape) and derive both parts from that, but then I've got a part lying around doing jack.using IV 11.
I have a couple of dozen features in my part, of which only one will be active at any time. The feature tree may be subject to additions, so I am looking for an ilogic rule that will first suppress all of the features in the part, and then switch on the specific feature I require (using a parameter). Any code to suppress ALL features?
Dear Sir, In particular project, when I insert part in Assembly file, It is inserted as a Tube & Pipe run part. so that It is not Grounded automatically. What is the settings by which I can insert as a normal part in assembly file ? I have attached herewith the JPG file also.
I`m looking for the iLogic code that can change one parameter (user defined) for each (ipt) part in assembly (iam)
The one below doesn`t work.
Sub Main Dim oApp As Inventor.Application = ThisApplication Dim oAssy As Inventor.AssemblyDocument = oApp.ActiveDocument For Each oSubDoc as Inventor.Document In oAssy.AllReferencedDocuments On Error Resume Next Parameter(oSubDoc, "FH") = 15.26 Next End Sub
I recently started working with Inventor (Solidworks user for 15 years). When designing new parts in an assembly in Solidworks, there was always an auto snap feature to align parts (centerline, midpoint, etc). I cant seem to find this option in Inventor 2013. Im trying to design new parts in an assembly but cant seem to snap to any other existing parts features or centerlines. Is there a quick way to activate this option? Is it even available in Inventor?
I would like to simplify this assembly into one seamless part for FEM calculation:The assembly consists out of parts that, in reality, will be welded together. Due to their form, there is no way to place them exactly onto each other, therefore there are slight gaps between the parts:
Now when I try to merge the assembly into one part via "simplify" --> "create simplified part" and choose "single solid body with seams between planar faces merged", Inventor does not fill these gaps (even though it displays only one part in the bottom right corner of my window). Unfortunately, the remaining gaps brings "contact" problems in the FEM simulation.
how to close the gaps and really merge the assembly into one part?
I have a part that has protrusions. When i mate that part up to another part that second part needs to have cutouts/holes to receive those protrusions.
i mainly use it in sheetmetal parts. and use the rectangular protrusions on de contour to mate up with corresponding cutouts in the other sheet. this works with positioning and also makes for a nice weld spot/area.
But also for making holes to accommodate a mold pin used in custom punch dies. I want the intervening part to receive a corresponding (propperly tolleranced) hole automatically. Much like a bolted connection does.
same for parts like circlips. i want them to automatically generate the seat in the part it's mated to. Rather than using the axle generator.
Ofcourse one can place the parts and do an in assembly interpart projection and go from there, but i want the part to generate the (predifined) modification to the other part. It would save time and also reduces problems as the parts are moved about or even removed.
I have an assembly with 10 parts in it. We use many assembly features at the assembly level (Revolve cut, Extrusion cut..etc). How to find the mass difference of each part by comparing at its parts level and its assembly level.
I have a two part duct fire damper assembly. The IDW has the combined two part assembly, which I know how to turn the CoG on, so that it can be dimensioned. The problem is each piece will more than likely be hoisted separately so I would like to show the CoG for each piece, not the combined master assy.is there a way to do this?
Inventor 2014 Windows 7 Pro SP1 Intel(R) Core(TM) i7-3770k CPU @ 3.50GHz 16GB RAM NVIDIA Quadro 4000 3D Connexion SpaceMouse Pro
Why when I mirror a part in an assembly the mirrored part gets a new part number? I want to mirror only the position of the part which is always the same part. Is it possible to do that in Inventor?
Using inventor to calculate specific distances or counts of features on a part. Say for instance, the lineal feet of a radial edge, or the number of cutouts a part may have. If so, how are you approching this? Can be programs written with the API/iLogic or just general setup I am pretty versitle and open to any discussion.
How do I delete work plane 1 from the attached part, 'test derived'?
workflow.
create a part, pattern a plane, save as 'test deriver'
create new part, derive work plane 1 from 'test deriver' sketch onto work plane 1, save as test derived
go back to 'test deriver, delete the pattern and create a new pattern, work plane 2, (i couldnt just edit it because the real life case was a series of patterns at different distances)
open part 'test derived', edit the derived part to include work plane 2, (work plane 1 doesnt exist in 'test deriver' anymore) redefine the sketch onto work plane 2
I have attached a simple model to detail what I am having trouble with.
I have constructed a sheet metal tube by first creating a flat sheet face and then by folding the sheet with two, 180 degree bends and large radius. I am doing it this way in order to simplify the drawing of the cutouts that are required in the "real" sheet (with many more cutouts than in the sample I have provided.)
When I try to add work points or work axis to the holes shown in the sample, only the holes on the second bend will accept the work features, the holes on the first bend will not - giving the error:
TEST.ipt: Errors occurred during update Projected loop failed because of multiple vertex solutions Work Point8: Could not build this Point Copy Point Zero or multiple solutions for Point Copy Point. Use Redefine Feature to change its definition.
I am using the work point as reference to the center of the hole in order to position a rod.
I have a wire trough that we typically use on all our units. Instead of modelling each trough as it's own separate part to length, I would like to add this part to frame generator for tracking there cut lengths etc...
A few items, there is two sizes that we use, but for now I will work with just one.
I have modeled the part and renamed the important parameters.
-WIDTH - stays the same
-HEIGHT - stays the same
-LENGTH - adjusted by frame generator
-RIBS - the part has 6 currently, but there is a rib added for every 1/2 inch. it is a rectangular pattern
-SLOTS - will be added to the trough every 2 inches of length, it is a rectangular pattern
-SLOT_DISTANCE - is 2 inches and never changes, if the trough is cut on a slot, which ever is easiest, to show half a slot or none, doesn't matter, this is just for a visual and BOM reference
I found a video that shows me how to publish parts to FG, but I am stuck for the iLogic part. Part attached.
I have an assembly of stair made from steel. There are lots of part the same. Is there a way to make a hole (inside assembly) to one and that hole would appear on all of them.
And another problem, how can I made cut (inside assembly) through more then one part so that would affect a part also when I open it alone.
I am capturing a book-case design that I made long ago into Intentor. I am almost finished, and I want to produce .dwg files and a bill of materials of parts that can be held.
For various reasons, almost all the items in the existing design are assemblies, and the underlying parts correspond more or less to half of physical parts that are contained inside a repeating cell. I will almost certainly continue using this approach.
A simplified design that shows this is at [URL]..... in the file Display.iam
I created the file Slat.ipt by using derive (Slat.iam).
If I replace the Slat assemblies with the file Slat.ipt, the bill of materials will show parts that correspond to physical parts that I can hold in my hand, or list on an invoice. I can do this with many, many mouse operations.
To make this modification quickly, I attempted to do Component -> replace on the Slat assembly. I use this operation a lot to replace one version of an assembly with another. When I do it with a .ipt file, the system pauses for some tens of seconds, then crashes.
A brute force work around is to use the mouse to do the replacement, essentially rebuilding the entire project in place.
as you can see from the image, the blue cone isnt transparent. i set the material properties to "clear blue" to make it "see through", i want to show whats under the cone. however the cone isnt transparent. how can i get the cone to be transparent? is there a step im missing?